From 69494d353a28de8bb9cdf13bcbe3d72b35439bf9 Mon Sep 17 00:00:00 2001
From: Elena of Valhalla'' Grandi <valhalla@trueelena.org>
Date: Sat, 16 Aug 2014 18:14:07 +0200
Subject: [PATCH] Use defaults when values file is broken. Closes: #736500

---
 axi/__init__.py  | 7 ++++++-
 debian/changelog | 4 ++++
 2 files changed, 10 insertions(+), 1 deletion(-)

diff --git a/axi/__init__.py b/axi/__init__.py
index 5f47f5b..06abc04 100644
--- a/axi/__init__.py
+++ b/axi/__init__.py
@@ -68,7 +68,9 @@ def readValueDB(pathname=XAPIANDBVALUES, quiet=False):
 
             values[name] = number
             descs[name] = desc
-    except (OSError, IOError), e:
+        if not values:
+            raise BrokenIndexError
+    except (OSError, IOError, BrokenIndexError), e:
         # If we can't read the database, fallback to defaults
         if not quiet:
             print >>sys.stderr, "%s: %s. Falling back on a default value database" % (pathname, e)
@@ -76,3 +78,6 @@ def readValueDB(pathname=XAPIANDBVALUES, quiet=False):
         descs = DEFAULT_VALUE_DESCS
     return values, descs
 
+
+class BrokenIndexError(Exception):
+    pass
diff --git a/debian/changelog b/debian/changelog
index 43f376d..0480c14 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,11 @@
 apt-xapian-index (0.47) UNRELEASED; urgency=low
 
+  [ Enrico Zini ]
   * s/UNRELEASED/unstable/ in 0.46 changelog. Closes: #719940
 
+  [ Elena Grandi ]
+  * Use defaults when values file is broken. Closes: #736500
+
  -- Enrico Zini <enrico@debian.org>  Sat, 17 Aug 2013 10:52:52 +0200
 
 apt-xapian-index (0.46) unstable; urgency=low
-- 
2.0.1

